MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026062Open CASCADE[OCCT] OCCT:Visualizationpublic2015-04-13 11:452017-09-29 16:24
Reporterdbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0026062: Visualization - implicitly increase priority of MeshVS_Mesh while setting transparency
DescriptionThe meshmat command does not use SetTransperency method nor MeshVS_Mesh is implementing it. Thus the implicit display priority change does not applied like in case of AIS_Shape.
Steps To Reproduce
pload MODELING XDE VISUALIZATION

vinit View1
vclear
vaxo

meshfromstl m data/stl/sh1.stl
vsetdispmode m 2

box b -100 -50 -160 100 100 100
vdisplay b
vsetdispmode b 1

vfront
vfit
vrotate 0 -pi/8 0
vfit

meshmat m 1 0.5
TagsNo tags attached.
Test case number
Attached Files? file icon test.tcl (279 bytes) 2015-04-13 11:45
png file icon good.png (8,982 bytes) 2015-04-13 11:45
png file icon bad.png (12,821 bytes) 2015-04-13 11:45

- Relationships
related to 0027925closedbugmaster Visualization - implement order-independent transparency algorithm within rasterization rendering 

-  Notes
(0065801)
kgv (developer)
2017-05-10 12:22

Please switch to VERIFIED as fixed by patch for 0027925.
Test case is not needed.

- Issue History
Date Modified Username Field Change
2015-04-13 11:45 dbv New Issue
2015-04-13 11:45 dbv Assigned To => kgv
2015-04-13 11:45 dbv File Added: test.tcl
2015-04-13 11:45 dbv File Added: good.png
2015-04-13 11:45 dbv File Added: bad.png
2015-04-13 12:04 kgv Steps to Reproduce Updated View Revisions
2015-04-13 12:50 kgv Assigned To kgv => dbv
2015-04-13 12:50 kgv Status new => assigned
2015-04-13 12:53 kgv Target Version 6.9.0 => 7.1.0
2015-04-13 12:53 kgv Summary MeshVS_Mesh with transparency always displayed under the other objects => Visualization - implicitly increase priority of MeshVS_Mesh while setting transparency
2015-04-13 12:53 kgv Description Updated View Revisions
2016-10-13 12:44 kgv Relationship added related to 0027925
2016-10-25 09:25 kgv Target Version 7.1.0 => 7.2.0
2016-10-25 09:25 kgv Assigned To dbv => kgv
2017-05-10 12:22 kgv Note Added: 0065801
2017-05-10 12:22 kgv Assigned To kgv => bugmaster
2017-05-10 12:22 kgv Status assigned => feedback
2017-05-10 12:22 kgv Product Version => 6.9.0
2017-05-11 12:25 bugmaster Status feedback => tested
2017-05-11 12:26 bugmaster Status tested => verified
2017-05-11 12:26 bugmaster Resolution open => fixed
2017-09-29 16:20 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker